using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper8.SatIp.RtspRequests
{
	internal class RtspPlayRequest : RtspRequest
	{
		public RtspPlayRequest() : base("PLAY")
		{
			Range = "npt=0.000-";
		}

		public uint CSeq
		{
			set
			{
				base.args["CSeq"] = Convert.ToString(value);
			}
			get
			{
				return uint.Parse(base.args["CSeq"]);
			}
		}

		public string UserAgent
		{
			set
			{
				base.args["User-Agent"] = value;
			}
			get
			{
				return base.args["User-Agent"];
			}
		}

		public uint Session
		{
			set
			{
				base.args["Session"] = value.ToString();
			}
			get
			{
				return uint.Parse(base.args["Session"]);
			}
		}

		public string Range
		{
			set
			{
				base.args["Range"] = value;
			}
			get
			{
				return base.args["Range"];
			}
		}
	}
}
